ImageType (last-updated-files 1.0.0-SNAPSHOT API)
Date: 2015-01-09

org.gcube.portlets.user.lastupdatedfiles.shared

## Enum ImageType

- java.lang.Object
- - java.lang.Enum<ImageType>
  - - org.gcube.portlets.user.lastupdatedfiles.shared.ImageType

- All Implemented Interfaces:
    Serializable, Comparable<ImageType>

      public enum ImageType
      extends Enum<ImageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOC`
    `HTML`
    `IMAGE`
    `MOVIE`
    `NONE`
    `PDF`
    `PPT`
    `RAR`
    `XLS`
    `ZIP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOC

          public static final ImageType DOC

    - #### PPT

          public static final ImageType PPT

    - #### XLS

          public static final ImageType XLS

    - #### NONE

          public static final ImageType NONE

    - #### MOVIE

          public static final ImageType MOVIE

    - #### HTML

          public static final ImageType HTML

    - #### PDF

          public static final ImageType PDF

    - #### IMAGE

          public static final ImageType IMAGE

    - #### RAR

          public static final ImageType RAR

    - #### ZIP

          public static final ImageType ZIP

  - ### Method Detail

    - #### values

          public static ImageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageType c : ImageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.